{% extends 'base.html' %}

{% block title %} article.article_title {% endblock %}

{% block content %}

    <h2>{{article.article_title}}</h2>
    <p>{{article.article_text}}</p>
    <em>{{article.pub_date}}</em>

    {% if article.was_published_recently %}
        Новая статья!
    {% endif %}

    <hr>
        {% if latest_comments_list %}
            {% for comment in latest_comments_list %}
                <p>
                    <strong>{{comment.author_name}}</strong>
                    <p>{{comment.comment_text}}</p>
                </p>
            {% endfor %}
        {% else %}
            Здесь пока ещё нет комментариев. Станьте первым!
        {% endif %}
    <hr>
    <form action="{% url 'articles:leave_comment' article.id %}" method="POST">

        {% csrf_token %}

        <input name="name" type="text" required placeholder="Ваше имя" /><br>
        <textarea name="text" required placeholder="Текст комментария" cols="30" rows="10"></textarea><br>

        <button type="submit">Оставить комментарий</button>
    </form>
{% endblock %}